## r-cran-rtsne 0.15

=== DESCRIPTION ===
Package: Rtsne
Type: Package
Title: T-Distributed Stochastic Neighbor Embedding using a Barnes-Hut
        Implementation
Version: 0.15
Authors@R: c(
    person("Jesse", "Krijthe", ,"jkrijthe@gmail.com", role = c("aut", "cre")),
    person("Laurens", "van der Maaten", role = c("cph"), comment = "Author of original C++ code")
    )
Description: An R wrapper around the fast T-distributed Stochastic
    Neighbor Embedding implementation by Van der Maaten  (see <https://github.com/lvdmaaten/bhtsne/> for more information on the original implementation).
License: file LICENSE
URL: https://github.com/jkrijthe/Rtsne
Imports: Rcpp (>= 0.11.0), stats
LinkingTo: Rcpp
Suggests: irlba, testthat
RoxygenNote: 6.1.0
NeedsCompilation: yes
Packaged: 2018-11-01 17:33:54 UTC; jkrijthe
Author: Jesse Krijthe [aut, cre],
  Laurens van der Maaten [cph] (Author of original C++ code)
Maintainer: Jesse Krijthe <jkrijthe@gmail.com>
License_is_FOSS: yes
Repository: CRAN
Date/Publication: 2018-11-10 16:30:21 UTC

=== debian/changelog ===
r-cran-rtsne (0.15-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:47:22 +0000

r-cran-rtsne (0.15-2) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * Update test dependencies
  * Drop compat, switch to debhelper-compat
  * Add "Rules-Requires-Root:no"
  * Add upstream/metadata
  * Fix trailing whitespace

  [ Andreas Tille ]
  * Add salsa-ci file (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 06 Mar 2020 11:50:37 +0530

r-cran-rtsne (0.15-1) unstable; urgency=medium

  * Initial release (closes: #914710)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Nov 2018 16:11:15 +0100

=== debian/control ===
Source: r-cran-rtsne
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-rcpp
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rtsne
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rtsne.git
Homepage: https://cran.r-project.org/package=Rtsne
Rules-Requires-Root: no

Package: r-cran-rtsne
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R T-Distributed Stochastic Neighbor Embedding using a Barnes-Hut
 This package implements a R wrapper around the fast T-distributed
 Stochastic Neighbor Embedding implementation by Van der Maaten
 (see <https://github.com/lvdmaaten/bhtsne/> for more information
 on the original implementation).

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-irlba
Restrictions: allow-stderr

## r-cran-rtsne 0.16

=== debian/changelog ===
r-cran-rtsne (0.16-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.16
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Bump debhelper compatibility level to 13

 -- Nilesh Patra <nilesh@debian.org>  Wed, 18 May 2022 09:40:09 +0530

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp
-Standards-Version: 4.5.0
+               r-cran-rcpp (>= 0.11.0)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rtsne
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rtsne.git
 Homepage: https://cran.r-project.org/package=Rtsne

## r-cran-rtsne 0.17

=== DESCRIPTION ===
Package: Rtsne
Type: Package
Title: T-Distributed Stochastic Neighbor Embedding using a Barnes-Hut
        Implementation
Version: 0.17
Authors@R: c(
    person("Jesse", "Krijthe", ,"jkrijthe@gmail.com", role = c("aut", "cre")),
    person("Laurens", "van der Maaten", role = c("cph"), comment = "Author of original C++ code")
    )
Description: An R wrapper around the fast T-distributed Stochastic
    Neighbor Embedding implementation by Van der Maaten  (see <https://github.com/lvdmaaten/bhtsne/> for more information on the original implementation).
License: file LICENSE
URL: https://github.com/jkrijthe/Rtsne
Encoding: UTF-8
Imports: Rcpp (>= 0.11.0), stats
LinkingTo: Rcpp
Suggests: irlba, testthat
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-12-07 01:33:30 UTC; jkrijthe
Author: Jesse Krijthe [aut, cre],
  Laurens van der Maaten [cph] (Author of original C++ code)
Maintainer: Jesse Krijthe <jkrijthe@gmail.com>
License_is_FOSS: yes
Repository: CRAN
Date/Publication: 2023-12-07 11:50:11 UTC

=== debian/changelog ===
r-cran-rtsne (0.17-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 09:19:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.11.0)
-Standards-Version: 4.6.1
+               r-cran-rcpp
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rtsne
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rtsne.git
 Homepage: https://cran.r-project.org/package=Rtsne

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-irlba,
        r-cran-testthat
Restrictions: allow-stderr
